# class RDoc::Generator::RI

frozen_string_literal: false

Generates ri data files

### Constants

DESCRIPTION

  Description of this generator

### Public Instance Methods

generate() click to toggle source

Writes the parsed data store to disk for use by ri.

    # File lib/rdoc/generator/ri.rb, line 26
    def generate
      @store.save
    end

### Protected Instance Methods

initialize(store, options) click to toggle source

Set up a new ri generator

    # File lib/rdoc/generator/ri.rb, line 17
    def initialize store, options #:not-new:
      @options    = options
      @store      = store
      @store.path = '.'
    end